
package com.cpm.lorealbaautomation.gsonGetterSetter;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;
import com.cpm.lorealbaautomation.constant.CommonString;

import java.io.Serializable;

public class MasterProfile implements Serializable {

    @SerializedName("EmpCode")
    @Expose
    private String empCode;
    @SerializedName("FullName")
    @Expose
    private String fullName;
    @SerializedName("Supervisor")
    @Expose
    private String supervisor;
    @SerializedName("Gender")
    @Expose
    private String gender;
    @SerializedName("Address")
    @Expose
    private String address;
    @SerializedName("dob")
    @Expose
    private String dob;
    @SerializedName("Current_BPgrade")
    @Expose
    private String currentBPgrade;
    @SerializedName("Mobile")
    @Expose
    private String mobile;
    @SerializedName("Email")
    @Expose
    private String email;
    @SerializedName("InstragramAddress")
    @Expose
    private String instragramAddress;
    @SerializedName("Profile_Pic")
    @Expose
    private String profilePic;
    @SerializedName("VisitDate")
    @Expose
    private String viisitDate;
    @SerializedName("UserId")
    @Expose
    private String userId;
    String location,landmark;

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLandmark() {
        return landmark;
    }

    public void setLandmark(String landmark) {
        this.landmark = landmark;
    }

    public String getViisitDate() {
        return viisitDate;
    }

    public void setViisitDate(String viisitDate) {
        this.viisitDate = viisitDate;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getEmpCode() {
        return empCode;
    }

    public void setEmpCode(String empCode) {
        this.empCode = empCode;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getSupervisor() {
        return supervisor;
    }

    public void setSupervisor(String supervisor) {
        this.supervisor = supervisor;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getDob() {
        return dob;
    }

    public void setDob(String dob) {
        this.dob = dob;
    }

    public String getCurrentBPgrade() {
        return currentBPgrade;
    }

    public void setCurrentBPgrade(String currentBPgrade) {
        this.currentBPgrade = currentBPgrade;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getInstragramAddress() {
        return instragramAddress;
    }

    public void setInstragramAddress(String instragramAddress) {
        this.instragramAddress = instragramAddress;
    }

    public String getProfilePic() {
        return profilePic;
    }

    public void setProfilePic(String profilePic) {
        this.profilePic = profilePic;
    }

    public String getUpload_status() {
        return upload_status;
    }

    public void setUpload_status(String upload_status) {
        this.upload_status = upload_status;
    }

    String upload_status= CommonString.KEY_N;

}
